<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref25.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Processors.ModuleFilter.ModuleFilter.pop_only - Synopsis.SXR.SXR.__init__</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Processors.ModuleFilter.ModuleFilter.pop_only - Synopsis.SXR.SXR.__init__</h1><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter.pop_only" /><h2 >Method Synopsis.Processors.ModuleFilter.ModuleFilter.pop_only</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#pop_only" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#44">Synopsis/Processors/ModuleFilter.py:44</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Synopsis.Processors.ModuleFilter.ModuleFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter.process" /><h2 >Method Synopsis.Processors.ModuleFilter.ModuleFilter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#17">Synopsis/Processors/ModuleFilter.py:17</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Synopsis.Processors.ModuleFilter.ModuleFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter.push" /><h2 >Method Synopsis.Processors.ModuleFilter.ModuleFilter.push</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#push" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#31">Synopsis/Processors/ModuleFilter.py:31</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Synopsis.Processors.ModuleFilter.ModuleFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter.visit_declaration" /><h2 >Method Synopsis.Processors.ModuleFilter.ModuleFilter.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#54">Synopsis/Processors/ModuleFilter.py:54</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Synopsis.Processors.ModuleFilter.ModuleFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter.visit_module" /><h2 >Method Synopsis.Processors.ModuleFilter.ModuleFilter.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#64">Synopsis/Processors/ModuleFilter.py:64</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Synopsis.Processors.ModuleFilter.ModuleFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleSorter.ModuleSorter" /><h2 >Class Synopsis.Processors.ModuleSorter.ModuleSorter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleSorter.py.html#11">Synopsis/Processors/ModuleSorter.py:11</a>: in module <a href="../Scopes/Synopsis/Processors/ModuleSorter.html" >Synopsis.Processors.ModuleSorter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/ModuleSorter.py.html#14">Synopsis/Processors/ModuleSorter.py:14</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/ModuleSorter.py.html#28">Synopsis/Processors/ModuleSorter.py:28</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html#visit_meta_module" >visit_meta_module</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleSorter.ModuleSorter.process" /><h2 >Method Synopsis.Processors.ModuleSorter.ModuleSorter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleSorter.py.html#14">Synopsis/Processors/ModuleSorter.py:14</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html" >Synopsis.Processors.ModuleSorter.ModuleSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleSorter.ModuleSorter.visit_meta_module" /><h2 >Method Synopsis.Processors.ModuleSorter.ModuleSorter.visit_meta_module</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html#visit_meta_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleSorter.py.html#28">Synopsis/Processors/ModuleSorter.py:28</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html" >Synopsis.Processors.ModuleSorter.ModuleSorter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.NameMapper.NameMapper" /><h2 >Class Synopsis.Processors.NameMapper.NameMapper</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/NameMapper/NameMapper.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/NameMapper.py.html#12">Synopsis/Processors/NameMapper.py:12</a>: in module <a href="../Scopes/Synopsis/Processors/NameMapper.html" >Synopsis.Processors.NameMapper</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/NameMapper.py.html#15">Synopsis/Processors/NameMapper.py:15</a>: Method <a href="../Scopes/Synopsis/Processors/NameMapper/NameMapper.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/Processors/NameMapper.py.html#22">Synopsis/Processors/NameMapper.py:22</a>: Method <a href="../Scopes/Synopsis/Processors/NameMapper/NameMapper.html#visit_group" >visit_group</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.NameMapper.NameMapper.visit_group" /><h2 >Method Synopsis.Processors.NameMapper.NameMapper.visit_group</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/NameMapper/NameMapper.html#visit_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/NameMapper.py.html#22">Synopsis/Processors/NameMapper.py:22</a>: in class <a href="../Scopes/Synopsis/Processors/NameMapper/NameMapper.html" >Synopsis.Processors.NameMapper.NameMapper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.NameMapper.NameMapper.visit_scope" /><h2 >Method Synopsis.Processors.NameMapper.NameMapper.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/NameMapper/NameMapper.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/NameMapper.py.html#15">Synopsis/Processors/NameMapper.py:15</a>: in class <a href="../Scopes/Synopsis/Processors/NameMapper/NameMapper.html" >Synopsis.Processors.NameMapper.NameMapper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.NameMapper.NamePrefixer" /><h2 >Class Synopsis.Processors.NameMapper.NamePrefixer</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/NameMapper.py.html#30">Synopsis/Processors/NameMapper.py:30</a>: in module <a href="../Scopes/Synopsis/Processors/NameMapper.html" >Synopsis.Processors.NameMapper</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/NameMapper.py.html#33">Synopsis/Processors/NameMapper.py:33</a>: Class attribute <a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html#prefix" >prefix</a></li><li ><a href="../Source/Synopsis/Processors/NameMapper.py.html#34">Synopsis/Processors/NameMapper.py:34</a>: Class attribute <a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html#type" >type</a></li><li ><a href="../Source/Synopsis/Processors/NameMapper.py.html#36">Synopsis/Processors/NameMapper.py:36</a>: Method <a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/NameMapper.py.html#58">Synopsis/Processors/NameMapper.py:58</a>: Method <a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html#visit_declaration" >visit_declaration</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.NameMapper.NamePrefixer.process" /><h2 >Method Synopsis.Processors.NameMapper.NamePrefixer.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/NameMapper.py.html#36">Synopsis/Processors/NameMapper.py:36</a>: in class <a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html" >Synopsis.Processors.NameMapper.NamePrefixer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.NameMapper.NamePrefixer.visit_declaration" /><h2 >Method Synopsis.Processors.NameMapper.NamePrefixer.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/NameMapper.py.html#58">Synopsis/Processors/NameMapper.py:58</a>: in class <a href="../Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html" >Synopsis.Processors.NameMapper.NamePrefixer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.SXRCompiler.SXRCompiler" /><h2 >Class Synopsis.Processors.SXRCompiler.SXRCompiler</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/SXRCompiler.py.html#14">Synopsis/Processors/SXRCompiler.py:14</a>: in module <a href="../Scopes/Synopsis/Processors/SXRCompiler.html" >Synopsis.Processors.SXRCompiler</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/SXRCompiler.py.html#17">Synopsis/Processors/SXRCompiler.py:17</a>: Class attribute <a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html#prefix" >prefix</a></li><li ><a href="../Source/Synopsis/Processors/SXRCompiler.py.html#18">Synopsis/Processors/SXRCompiler.py:18</a>: Class attribute <a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html#no_locals" >no_locals</a></li><li ><a href="../Source/Synopsis/Processors/SXRCompiler.py.html#20">Synopsis/Processors/SXRCompiler.py:20</a>: Method <a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/SXRCompiler.py.html#43">Synopsis/Processors/SXRCompiler.py:43</a>: Method <a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html#compile" >compile</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.SXRCompiler.SXRCompiler.compile" /><h2 >Method Synopsis.Processors.SXRCompiler.SXRCompiler.compile</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html#compile" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/SXRCompiler.py.html#43">Synopsis/Processors/SXRCompiler.py:43</a>: in class <a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html" >Synopsis.Processors.SXRCompiler.SXRCompiler</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.SXRCompiler.SXRCompiler.process" /><h2 >Method Synopsis.Processors.SXRCompiler.SXRCompiler.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/SXRCompiler.py.html#20">Synopsis/Processors/SXRCompiler.py:20</a>: in class <a href="../Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html" >Synopsis.Processors.SXRCompiler.SXRCompiler</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper" /><h2 >Class Synopsis.Processors.ScopeStripper.ScopeStripper</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#12">Synopsis/Processors/ScopeStripper.py:12</a>: in module <a href="../Scopes/Synopsis/Processors/ScopeStripper.html" >Synopsis.Processors.ScopeStripper</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#18">Synopsis/Processors/ScopeStripper.py:18</a>: Class attribute <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#23">Synopsis/Processors/ScopeStripper.py:23</a>: Attribute <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#declarations" >declarations</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#24">Synopsis/Processors/ScopeStripper.py:24</a>: Attribute <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#inside" >inside</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#25">Synopsis/Processors/ScopeStripper.py:25</a>: Attribute <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#_scope" >_scope</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#20">Synopsis/Processors/ScopeStripper.py:20</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#27">Synopsis/Processors/ScopeStripper.py:27</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#46">Synopsis/Processors/ScopeStripper.py:46</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip_name" >strip_name</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#55">Synopsis/Processors/ScopeStripper.py:55</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip_declarations" >strip_declarations</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#62">Synopsis/Processors/ScopeStripper.py:62</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip_types" >strip_types</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#77">Synopsis/Processors/ScopeStripper.py:77</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip" >strip</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#96">Synopsis/Processors/ScopeStripper.py:96</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#107">Synopsis/Processors/ScopeStripper.py:107</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#112">Synopsis/Processors/ScopeStripper.py:112</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_class_template" >visit_class_template</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#121">Synopsis/Processors/ScopeStripper.py:121</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#127">Synopsis/Processors/ScopeStripper.py:127</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_enumerator" >visit_enumerator</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#132">Synopsis/Processors/ScopeStripper.py:132</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_enum" >visit_enum</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#139">Synopsis/Processors/ScopeStripper.py:139</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#146">Synopsis/Processors/ScopeStripper.py:146</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_parameter" >visit_parameter</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#151">Synopsis/Processors/ScopeStripper.py:151</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_function_template" >visit_function_template</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#159">Synopsis/Processors/ScopeStripper.py:159</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_operation" >visit_operation</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#164">Synopsis/Processors/ScopeStripper.py:164</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_operation_template" >visit_operation_template</a></li><li ><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#169">Synopsis/Processors/ScopeStripper.py:169</a>: Method <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_meta_module" >visit_meta_module</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.__init__" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#20">Synopsis/Processors/ScopeStripper.py:20</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.process" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#27">Synopsis/Processors/ScopeStripper.py:27</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.strip" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.strip</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#77">Synopsis/Processors/ScopeStripper.py:77</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.strip_declarations" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.strip_declarations</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip_declarations" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#55">Synopsis/Processors/ScopeStripper.py:55</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.strip_name" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.strip_name</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#46">Synopsis/Processors/ScopeStripper.py:46</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.strip_types" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.strip_types</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#strip_types" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#62">Synopsis/Processors/ScopeStripper.py:62</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_class" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#107">Synopsis/Processors/ScopeStripper.py:107</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_class_template" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_class_template</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_class_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#112">Synopsis/Processors/ScopeStripper.py:112</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_declaration" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#121">Synopsis/Processors/ScopeStripper.py:121</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_enum" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_enum</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#132">Synopsis/Processors/ScopeStripper.py:132</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_enumerator" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_enumerator</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_enumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#127">Synopsis/Processors/ScopeStripper.py:127</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_function" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#139">Synopsis/Processors/ScopeStripper.py:139</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_function_template" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_function_template</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_function_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#151">Synopsis/Processors/ScopeStripper.py:151</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_meta_module" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_meta_module</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_meta_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#169">Synopsis/Processors/ScopeStripper.py:169</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_operation" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_operation</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_operation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#159">Synopsis/Processors/ScopeStripper.py:159</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_operation_template" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_operation_template</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_operation_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#164">Synopsis/Processors/ScopeStripper.py:164</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_parameter" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#146">Synopsis/Processors/ScopeStripper.py:146</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ScopeStripper.ScopeStripper.visit_scope" /><h2 >Method Synopsis.Processors.ScopeStripper.ScopeStripper.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ScopeStripper.py.html#96">Synopsis/Processors/ScopeStripper.py:96</a>: in class <a href="../Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" >Synopsis.Processors.ScopeStripper.ScopeStripper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TemplateLinker.TemplateLinker" /><h2 >Class Synopsis.Processors.TemplateLinker.TemplateLinker</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#11">Synopsis/Processors/TemplateLinker.py:11</a>: in module <a href="../Scopes/Synopsis/Processors/TemplateLinker.html" >Synopsis.Processors.TemplateLinker</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#14">Synopsis/Processors/TemplateLinker.py:14</a>: Method <a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#23">Synopsis/Processors/TemplateLinker.py:23</a>: Method <a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html#link" >link</a></li><li ><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#33">Synopsis/Processors/TemplateLinker.py:33</a>: Class attribute <a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html#visit_forward" >visit_forward</a></li><li ><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#34">Synopsis/Processors/TemplateLinker.py:34</a>: Class attribute <a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#35">Synopsis/Processors/TemplateLinker.py:35</a>: Class attribute <a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html#visit_class_template" >visit_class_template</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TemplateLinker.TemplateLinker.link" /><h2 >Method Synopsis.Processors.TemplateLinker.TemplateLinker.link</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html#link" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#23">Synopsis/Processors/TemplateLinker.py:23</a>: in class <a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html" >Synopsis.Processors.TemplateLinker.TemplateLinker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TemplateLinker.TemplateLinker.process" /><h2 >Method Synopsis.Processors.TemplateLinker.TemplateLinker.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TemplateLinker.py.html#14">Synopsis/Processors/TemplateLinker.py:14</a>: in class <a href="../Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html" >Synopsis.Processors.TemplateLinker.TemplateLinker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer" /><h2 >Class Synopsis.Processors.Transformer.Transformer</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#11">Synopsis/Processors/Transformer.py:11</a>: in module <a href="../Scopes/Synopsis/Processors/Transformer.html" >Synopsis.Processors.Transformer</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Transformer.py.html#20">Synopsis/Processors/Transformer.py:20</a>: Attribute <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#__scopes" >__scopes</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#21">Synopsis/Processors/Transformer.py:21</a>: Attribute <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#__current" >__current</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#16">Synopsis/Processors/Transformer.py:16</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#23">Synopsis/Processors/Transformer.py:23</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#34">Synopsis/Processors/Transformer.py:34</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#finalize" >finalize</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#39">Synopsis/Processors/Transformer.py:39</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#push" >push</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#45">Synopsis/Processors/Transformer.py:45</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#pop" >pop</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#52">Synopsis/Processors/Transformer.py:52</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#add" >add</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#57">Synopsis/Processors/Transformer.py:57</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#current_scope" >current_scope</a></li><li ><a href="../Source/Synopsis/Processors/Transformer.py.html#62">Synopsis/Processors/Transformer.py:62</a>: Method <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#visit_builtin" >visit_builtin</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.__init__" /><h2 >Method Synopsis.Processors.Transformer.Transformer.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#16">Synopsis/Processors/Transformer.py:16</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.add" /><h2 >Method Synopsis.Processors.Transformer.Transformer.add</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#add" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#52">Synopsis/Processors/Transformer.py:52</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.current_scope" /><h2 >Method Synopsis.Processors.Transformer.Transformer.current_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#current_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#57">Synopsis/Processors/Transformer.py:57</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.finalize" /><h2 >Method Synopsis.Processors.Transformer.Transformer.finalize</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#finalize" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#34">Synopsis/Processors/Transformer.py:34</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.pop" /><h2 >Method Synopsis.Processors.Transformer.Transformer.pop</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#pop" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#45">Synopsis/Processors/Transformer.py:45</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.process" /><h2 >Method Synopsis.Processors.Transformer.Transformer.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#23">Synopsis/Processors/Transformer.py:23</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.push" /><h2 >Method Synopsis.Processors.Transformer.Transformer.push</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#push" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#39">Synopsis/Processors/Transformer.py:39</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Transformer.Transformer.visit_builtin" /><h2 >Method Synopsis.Processors.Transformer.Transformer.visit_builtin</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html#visit_builtin" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Transformer.py.html#62">Synopsis/Processors/Transformer.py:62</a>: in class <a href="../Scopes/Synopsis/Processors/Transformer/Transformer.html" >Synopsis.Processors.Transformer.Transformer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TypeMapper.TypeMapper" /><h2 >Class Synopsis.Processors.TypeMapper.TypeMapper</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TypeMapper/TypeMapper.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TypeMapper.py.html#11">Synopsis/Processors/TypeMapper.py:11</a>: in module <a href="../Scopes/Synopsis/Processors/TypeMapper.html" >Synopsis.Processors.TypeMapper</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/TypeMapper.py.html#14">Synopsis/Processors/TypeMapper.py:14</a>: Method <a href="../Scopes/Synopsis/Processors/TypeMapper/TypeMapper.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TypeMapper.TypeMapper.process" /><h2 >Method Synopsis.Processors.TypeMapper.TypeMapper.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TypeMapper/TypeMapper.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TypeMapper.py.html#14">Synopsis/Processors/TypeMapper.py:14</a>: in class <a href="../Scopes/Synopsis/Processors/TypeMapper/TypeMapper.html" >Synopsis.Processors.TypeMapper.TypeMapper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TypedefFolder.TypedefFolder" /><h2 >Class Synopsis.Processors.TypedefFolder.TypedefFolder</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#11">Synopsis/Processors/TypedefFolder.py:11</a>: in module <a href="../Scopes/Synopsis/Processors/TypedefFolder.html" >Synopsis.Processors.TypedefFolder</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#14">Synopsis/Processors/TypedefFolder.py:14</a>: Class attribute <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#anonymous_only" >anonymous_only</a></li><li ><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#16">Synopsis/Processors/TypedefFolder.py:16</a>: Method <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#29">Synopsis/Processors/TypedefFolder.py:29</a>: Method <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#37">Synopsis/Processors/TypedefFolder.py:37</a>: Class attribute <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#39">Synopsis/Processors/TypedefFolder.py:39</a>: Method <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#visit_typedef" >visit_typedef</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TypedefFolder.TypedefFolder.process" /><h2 >Method Synopsis.Processors.TypedefFolder.TypedefFolder.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#16">Synopsis/Processors/TypedefFolder.py:16</a>: in class <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html" >Synopsis.Processors.TypedefFolder.TypedefFolder</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TypedefFolder.TypedefFolder.visit_scope" /><h2 >Method Synopsis.Processors.TypedefFolder.TypedefFolder.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#29">Synopsis/Processors/TypedefFolder.py:29</a>: in class <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html" >Synopsis.Processors.TypedefFolder.TypedefFolder</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.TypedefFolder.TypedefFolder.visit_typedef" /><h2 >Method Synopsis.Processors.TypedefFolder.TypedefFolder.visit_typedef</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html#visit_typedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/TypedefFolder.py.html#39">Synopsis/Processors/TypedefFolder.py:39</a>: in class <a href="../Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html" >Synopsis.Processors.TypedefFolder.TypedefFolder</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedCxxName" /><h2 >Class Synopsis.QualifiedName.QualifiedCxxName</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedCxxName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#45">Synopsis/QualifiedName.py:45</a>: in module <a href="../Scopes/Synopsis/QualifiedName.html" >Synopsis.QualifiedName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/QualifiedName.py.html#47">Synopsis/QualifiedName.py:47</a>: Class attribute <a href="../Scopes/Synopsis/QualifiedName/QualifiedCxxName.html#sep" >sep</a></li><li ><a href="../Source/Synopsis/QualifiedName.py.html#49">Synopsis/QualifiedName.py:49</a>: Method <a href="../Scopes/Synopsis/QualifiedName/QualifiedCxxName.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedCxxName.__str__" /><h2 >Method Synopsis.QualifiedName.QualifiedCxxName.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedCxxName.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#49">Synopsis/QualifiedName.py:49</a>: in class <a href="../Scopes/Synopsis/QualifiedName/QualifiedCxxName.html" >Synopsis.QualifiedName.QualifiedCxxName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedName" /><h2 >Class Synopsis.QualifiedName.QualifiedName</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#8">Synopsis/QualifiedName.py:8</a>: in module <a href="../Scopes/Synopsis/QualifiedName.html" >Synopsis.QualifiedName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/QualifiedName.py.html#10">Synopsis/QualifiedName.py:10</a>: Class attribute <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#sep" >sep</a></li><li ><a href="../Source/Synopsis/QualifiedName.py.html#12">Synopsis/QualifiedName.py:12</a>: Method <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#__getitem__" >__getitem__</a></li><li ><a href="../Source/Synopsis/QualifiedName.py.html#22">Synopsis/QualifiedName.py:22</a>: Method <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#__getslice__" >__getslice__</a></li><li ><a href="../Source/Synopsis/QualifiedName.py.html#28">Synopsis/QualifiedName.py:28</a>: Method <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#__add__" >__add__</a></li><li ><a href="../Source/Synopsis/QualifiedName.py.html#33">Synopsis/QualifiedName.py:33</a>: Method <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#prune" >prune</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedName.__add__" /><h2 >Method Synopsis.QualifiedName.QualifiedName.__add__</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#__add__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#28">Synopsis/QualifiedName.py:28</a>: in class <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html" >Synopsis.QualifiedName.QualifiedName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedName.__getitem__" /><h2 >Method Synopsis.QualifiedName.QualifiedName.__getitem__</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#__getitem__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#12">Synopsis/QualifiedName.py:12</a>: in class <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html" >Synopsis.QualifiedName.QualifiedName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedName.__getslice__" /><h2 >Method Synopsis.QualifiedName.QualifiedName.__getslice__</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#__getslice__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#22">Synopsis/QualifiedName.py:22</a>: in class <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html" >Synopsis.QualifiedName.QualifiedName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedName.prune" /><h2 >Method Synopsis.QualifiedName.QualifiedName.prune</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html#prune" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#33">Synopsis/QualifiedName.py:33</a>: in class <a href="../Scopes/Synopsis/QualifiedName/QualifiedName.html" >Synopsis.QualifiedName.QualifiedName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedPythonName" /><h2 >Class Synopsis.QualifiedName.QualifiedPythonName</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedPythonName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#52">Synopsis/QualifiedName.py:52</a>: in module <a href="../Scopes/Synopsis/QualifiedName.html" >Synopsis.QualifiedName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/QualifiedName.py.html#54">Synopsis/QualifiedName.py:54</a>: Class attribute <a href="../Scopes/Synopsis/QualifiedName/QualifiedPythonName.html#sep" >sep</a></li><li ><a href="../Source/Synopsis/QualifiedName.py.html#56">Synopsis/QualifiedName.py:56</a>: Method <a href="../Scopes/Synopsis/QualifiedName/QualifiedPythonName.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.QualifiedName.QualifiedPythonName.__str__" /><h2 >Method Synopsis.QualifiedName.QualifiedPythonName.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/QualifiedName/QualifiedPythonName.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/QualifiedName.py.html#56">Synopsis/QualifiedName.py:56</a>: in class <a href="../Scopes/Synopsis/QualifiedName/QualifiedPythonName.html" >Synopsis.QualifiedName.QualifiedPythonName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXR.Entry" /><h2 >Class Synopsis.SXR.Entry</h2><ul>
<li><a href="../Scopes/Synopsis/SXR/Entry.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXR.py.html#8">Synopsis/SXR.py:8</a>: in module <a href="../Scopes/Synopsis/SXR.html" >Synopsis.SXR</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SXR.py.html#13">Synopsis/SXR.py:13</a>: Attribute <a href="../Scopes/Synopsis/SXR/Entry.html#definitions" >definitions</a></li><li ><a href="../Source/Synopsis/SXR.py.html#15">Synopsis/SXR.py:15</a>: Attribute <a href="../Scopes/Synopsis/SXR/Entry.html#calls" >calls</a></li><li ><a href="../Source/Synopsis/SXR.py.html#17">Synopsis/SXR.py:17</a>: Attribute <a href="../Scopes/Synopsis/SXR/Entry.html#references" >references</a></li><li ><a href="../Source/Synopsis/SXR.py.html#10">Synopsis/SXR.py:10</a>: Method <a href="../Scopes/Synopsis/SXR/Entry.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXR.Entry.__init__" /><h2 >Method Synopsis.SXR.Entry.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/SXR/Entry.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXR.py.html#10">Synopsis/SXR.py:10</a>: in class <a href="../Scopes/Synopsis/SXR/Entry.html" >Synopsis.SXR.Entry</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXR.SXR" /><h2 >Class Synopsis.SXR.SXR</h2><ul>
<li><a href="../Scopes/Synopsis/SXR/SXR.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXR.py.html#21">Synopsis/SXR.py:21</a>: in module <a href="../Scopes/Synopsis/SXR.html" >Synopsis.SXR</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SXR.py.html#27">Synopsis/SXR.py:27</a>: Attribute <a href="../Scopes/Synopsis/SXR/SXR.html#_index" >_index</a></li><li ><a href="../Source/Synopsis/SXR.py.html#25">Synopsis/SXR.py:25</a>: Method <a href="../Scopes/Synopsis/SXR/SXR.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/SXR.py.html#29">Synopsis/SXR.py:29</a>: Method <a href="../Scopes/Synopsis/SXR/SXR.html#index" >index</a></li><li ><a href="../Source/Synopsis/SXR.py.html#33">Synopsis/SXR.py:33</a>: Method <a href="../Scopes/Synopsis/SXR/SXR.html#generate_index" >generate_index</a></li><li ><a href="../Source/Synopsis/SXR.py.html#48">Synopsis/SXR.py:48</a>: Method <a href="../Scopes/Synopsis/SXR/SXR.html#merge" >merge</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXR.SXR.__init__" /><h2 >Method Synopsis.SXR.SXR.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/SXR/SXR.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXR.py.html#25">Synopsis/SXR.py:25</a>: in class <a href="../Scopes/Synopsis/SXR/SXR.html" >Synopsis.SXR.SXR</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
